You are not logged in.
I have created a MLDonkey 2.5.28 PKGBUILD. This has a script wich starts, stops or restarts MLDonkey creating configuration files in ~/.mldonkey. With this script you can runs mldonkey with many users and if you stop mldonkey, only the mldonkey session of users will be stopped. You must do:
$ mldonkey {start|stop|restart}... for diferents options. This MLDonkey hasn't GUI, If you want one with GUI tell me, but there are better GUI like KMLDonkey, Sancho...
<b>UPDATED PKGBUILD</b>
# Contributor: Sergio Jovani Guzman <moret@paretux.org>
pkgname=mldonkey
pkgver=2.6.2
pkgrel=1
pkgdesc="MLDonkey is a multi-network P2P client"
url="http://mldonkey.berlios.de/"
depends=(ocaml gd glibc bzip2)
source=(http://savannah.nongnu.org/download/mldonkey/mldonkey-$pkgver.tar.bz2)
md5sums=('9d7c0bdf332c656086d2c0bcbe8cb28d')
build() {
cd $startdir/src/$pkgname-$pkgver
mkdir -p $startdir/pkg/usr/bin
./configure --prefix=/usr --disable-gui
make || return 1
make utils || return 1
cp -f {mlnet,dp500,ed2k_hash,get_range,make_torrent,subconv,svg_converter,copysources} $startdir/pkg/usr/bin
echo '#!/bin/bash
PID=`pidof -o %PPID /usr/bin/mlnet`
case "$1" in
start)
echo "Starting MLDonkey" && sleep 1
if [ ! -d $HOME/.mldonkey ]; then
mkdir $HOME/.mldonkey
fi
if [ -f /tmp/mldonkey.`id -u`.pid ]; then
echo "Error starting MLDonkey, it is already running."
exit 1
fi
cd $HOME/.mldonkey; /usr/bin/mlnet &> /dev/null & echo "MLDonkey is running!"
echo > /tmp/mldonkey.`id -u`.pid
if [ $? -gt 0 ]; then
echo "Error starting MLDonkey"
exit 1
fi
;;
stop)
echo "Stopping MLDonkey" && sleep 1
if [ ! -f /tmp/mldonkey.`id -u`.pid ]; then
echo "Error running MLDonkey. It is not running now."
exit 1
fi
kill $PID &> /dev/null
rm -f /tmp/mldonkey.`id -u`.pid
echo "MLDonkey has been killed!"
if [ $? -gt 0 ]; then
echo "Error stopping MLDonkey"
exit 1
fi
;;
restart)
$0 stop
sleep 1
$0 start
;;
*)
echo "usage: $0 {start|stop|restart}"
esac
exit 0' > $startdir/pkg/usr/bin/mldonkey
chmod 755 $startdir/pkg/usr/bin/mldonkey
}<b>Note:</b> Sancho-gtk GUI is in AUR
I'm waiting for opinions and bugs!!
Bye!
ArchLinux
2.6.11.7-ARCH
KDE 3.4
ADSL 512/128
Offline
Is there a chance that you can update this pkgbuild to the latest version? ![]()
And maybe a pkgbuld for sancho to?
orjanp...
Ørjan Pettersen
Offline
FYI - an newer 2.6.1 version has been released
Offline
I used moret's script with a few changes for version 2.6.1. It's not a pretty PKGBUILD but it works! ![]()
# Contributor: Sergio Jovani Guzman <moret@paretux.org>
pkgname=mldonkey
pkgver=2.6.1
pkgrel=1
pkgdesc="MLDonkey is a multi-network P2P client"
url="http://download.berlios.de/pub/mldonkey/spiralvoice/"
depends=(zlib)
makedepends=(ocaml)
source=(http://download.berlios.de/pub/mldonkey/spiralvoice/cores/Linux/$pkgname-$pkgver.static.i386-Linux.tar.bz2)
md5sums=('d59ebd47829dbfeffd88c43f99a7f4fb')
build() {
cd $startdir/src/$pkgname-distrib-$pkgver
# static MLdonkey
mkdir -p $startdir/pkg/usr/share/mldonkey
mkdir -p $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/kill_mldonkey $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/make_buginfo $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/mldonkey_command $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/mldonkey_previewer $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/mlnet $startdir/pkg/usr/bin
mv -v $startdir/src/$pkgname-distrib-$pkgver/* $startdir/pkg/usr/share/mldonkey
echo '#!/bin/bash
PID=`pidof -o %PPID /usr/bin/mlnet`
case "$1" in
start)
echo "Starting MLDonkey" && sleep 1
if [ ! -d $HOME/.mldonkey ]; then
mkdir $HOME/.mldonkey
fi
if [ -f /tmp/mldonkey.`id -u`.pid ]; then
echo "Error starting MLDonkey, it is already running."
exit 1
fi
cd $HOME/.mldonkey;
/usr/bin/mlnet &> /dev/null & echo "MLDonkey is running!"
echo > /tmp/mldonkey.`id -u`.pid
if [ $? -gt 0 ]; then
echo "Error starting MLDonkey"
exit 1
fi
;;
stop)
echo "Stopping MLDonkey" && sleep 1
if [ ! -f /tmp/mldonkey.`id -u`.pid ]; then
echo "Error running MLDonkey. It is not running now."
exit 1
fi
kill $PID &> /dev/null
rm -f /tmp/mldonkey.`id -u`.pid
echo "MLDonkey has been killed!"
if [ $? -gt 0 ]; then
echo "Error stopping MLDonkey"
exit 1
fi
;;
restart)
$0 stop
sleep 1
$0 start
;;
*)
echo "usage: $0 {start|stop|restart}"
esac
exit 0' > $startdir/pkg/usr/bin/mldonkey
chmod 755 $startdir/pkg/usr/bin/mldonkey
}A bus station is where a bus stops.
A train station is where a train stops.
On my desk I have a workstation.
Offline
I added the compiled package to my repo. I can't seem to upload my PKGBUILD to AUR, it seems an old version is still around and the .php doesn't have permission to overwrite it.
A bus station is where a bus stops.
A train station is where a train stops.
On my desk I have a workstation.
Offline
I added the compiled package to my repo. I can't seem to upload my PKGBUILD to AUR, it seems an old version is still around and the .php doesn't have permission to overwrite it.
Yes, I try upload the new version but I can't... I notified it in bugs...
ArchLinux
2.6.11.7-ARCH
KDE 3.4
ADSL 512/128
Offline
It's probably because an old version of MLdonkey is still on the server, but it's not really in AUR.
A bus station is where a bus stops.
A train station is where a train stops.
On my desk I have a workstation.
Offline
you should add
. /etc/rc.confat the top of your starting-script, to color the status-output ![]()
Offline
Hi all!
MLDonkey at AUR is not updated because AUR has a bug that does not let me update MLDonkey. You can see the bug at http://bugs.archlinux.org/?do=details&id=3071
However, I have the last version 2.7.0 with real daemon support. If you want it you can download it from http://www.paretux.org/mldonkey.tar.gz
Bye!
ArchLinux
2.6.11.7-ARCH
KDE 3.4
ADSL 512/128
Offline